import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import ElementUI, {Message} from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import { skipUrl, pageStop, pageMove, goTologin } from "@/utils/common.js"
import http from "@/utils/request"

Vue.config.productionTip = false

Vue.prototype.$baseURL = "https://forum.gter.net/api"  // 请求接口的共 url
Vue.prototype.$loginUrl = "https://passport.gter.net/" // 跳转登录的url

Vue.prototype.$http = http  // 跳转登录页面的方法
Vue.prototype.$skipUrl = skipUrl  // 跳转页面的公共方法
Vue.prototype.$goTologin = goTologin  // 跳转登录页面的方法
// 上面的顺序不要修改

Vue.prototype.$pageStop = pageStop   // 页面禁止滑动
Vue.prototype.$pageMove = pageMove  // 页面可以滑动
Vue.prototype.$Message = Message  // 页面可以滑动

//svg文件引入
import './icons'
//动态设置fontsize
import './utils/fontSize.js'

//ElementUI
Vue.use(ElementUI);



new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
